Version 1

Check Status

API to check status prepaid transaction.

Path

MethodPath
POSTv1/legacy/index

Request Body

AttributesTypeDescriptionMandatory
commandsStringValue: inquiryYes
usernameStringYour registered phone numberYes
ref_idStringYour order number / reference ID ( must unique )Yes
signStringSignature. Value: md5(username+api_key+ref_id)Yes
{
  "commands" : "inquiry",
  "username" : "082210138584",
  "ref_id"   : "order001",
  "sign"     : "96e1028f6beaa817ee3670a39c01c69d"
}

Response

AttributesTypeDescriptionMandatory
ref_idStringYour order number / reference ID ( must unique )Yes
statusDoubleTransaction Status. List of status:
0:PROCESS 1:SUCCESS 2:FAILED
Yes
codeStringProduct CodeYes
hpStringCustomer IDYes
priceDoubleProduct priceYes
messageStringMessageYes
snStringSerial Number (only appear when status is success). See here for SN formatNo
pinStringPin (only appear in games product)No
activation_codeStringActivation Code (only appear in esim product)No
balanceDoubleFinal BalanceYes
tr_idIntegerTransaction IDYes
rcStringResponse code. See response code listYes

Success Response Example

{
  "data": {
    "ref_id": "order001",
    "status": 1,
    "code": "xld25000",
    "hp": "0817777215",
    "price": 25000,
    "message": "SUCCESS",
    "sn": "123456789",
    "balance": 997061249,
    "tr_id": 3482,
    "rc": "00"
  }
}

Failed Response Example

{
  "data": {
    "ref_id": "order001",
    "status": 2,
    "code": "xld25000",
    "hp": "0817777215",
    "price": 25000,
    "message": "FAILED",
    "balance": 997061249,
    "tr_id": 3482,
    "rc": "07"
  }
}

Live Testing

Request URL
https://testprepaid.mobilepulsa.net/v1/legacy/index
Request Method
Request Header
Content-Type: application/json
Body
Result

Tutorial Video

You can see this video for check status code explanation using Laravel.

Video thumbnail

Or you can see this video for check status code explanation using PHP.

Video thumbnail